<?php

// *** DATABASE CREDENTIALS (***definitely change these***) ***
$user = "<YOUR USERNAME HERE>";				// Enter your username for your MySQL database
$pass = "<YOUR PASSWORD HERE>";			// Enter your MySQL password

// Additional database info (maybe change this)
$dbase = "clientdb";			// Change this if you wish to use a different database
$host = "127.0.0.1";			// If the MySQL server is hosted on a different server you will need to change this

// Timezone (probably change this - make it the same as your Fitbit)
// Find a list here -> http://php.net/manual/en/timezones.php
define('TIMEZONE', 'Europe/London');	// change 'Europe/London' to your timezone
date_default_timezone_set(TIMEZONE);

// Below is some basic PHP PDO database connectivity code, it is setup for use with MySQL

// Set the error reporting level globally here
error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

class db extends PDO {
  public function last_row_count() {
    return $this->query("SELECT FOUND_ROWS()")->fetchColumn();
  }

  public function tableExists($id)
{
    $results = $this->query("SHOW TABLES LIKE '$id'");
    if(!$results) 
	{
		return 0;
	}
    if($results->rowCount()>0){return 1;}
	return 0;
}  
}

class D
{

/*** Declare instance ***/
private static $instance = NULL;

/**
*
* the constructor is set to private so
* so nobody can create a new instance using new
*
*/
private function __construct()
{

  /*** maybe set the db name here later ***/
}

// Get instance
public static function i() {

if (!self::$instance)
{
	$host = $GLOBALS['host'];
	$dbase = $GLOBALS['dbase'];
	$user = $GLOBALS['user'];
	$pass = $GLOBALS['pass'];

	// was pdo now db
    self::$instance = new db("mysql:host=$host;dbname=$dbase;charset=utf8", "$user", "$pass", array(PDO::ATTR_EMULATE_PREPARES => false,PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION));
    // to connect to MS SQL change the above line...
	
    if(!self::$instance)
    {
    	echo "Error connecting to database";
    }
}

return self::$instance;
}

/**
*
* Like the constructor, we make __clone private
* so nobody can clone the instance
*
*/
private function __clone(){
}

} /*** end of class ***/


function dealWithPDOError($error)
{
//	error_log($error,0);
	echo $error;
}

?>