<?php
// This is your Glide API key - you can find it at https://www.whatsglide.com/i/ams_sysconfig.php#glideapi
$key = "c4d8e196d529d34e477175a36f1cee9810a3026d3a631b9a13b2fb1720c24087";

$command = "/clients/create";				// The API command that we will be using
$baseurl = "http://api.whatsglide.com";		// Create the request URL
$url = $baseurl.$command."?key=".$key."&returnFormat=1";	// Build the URL that we will call

$ch = curl_init();									// Initiate curl
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); 	// Disable SSL verification
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_URL,$url);					// Set the url that we wish to call

// Now we build up a PHP array with the data for our new client - these are the fields that we can supply
$fields = array(		'name' => urlencode("New Client Tutorial 1"),
						'title' => urlencode(""),
						'firstn' => urlencode(""),
						'code' => urlencode("5610"),
						'type' => urlencode("1"),
						'opt_corptax' => urlencode("1"),
						'opt_nextyearend' => urlencode("2016-01-01"),
						'ucode' => urlencode("1005"),
						'opt_incorpdate' => urlencode("2010-01-01")		
						);

// Turn the above array into a string that we can pass as POST fields
$fields_string = "";
foreach($fields as $key=>$value) { $fields_string .= $key.'='.$value.'&'; }
$fields_string = rtrim($fields_string, '&');
curl_setopt($ch,CURLOPT_POST, count($fields));			// Set the cURL options for POST data
curl_setopt($ch,CURLOPT_POSTFIELDS, $fields_string);

$curl_result = curl_exec($ch);			// Execute our request (call Glide and make our request)
curl_close($ch);		// Close down cURL - as we have done what we wished to do

$array_result = array();	// PHP array to place our decoded data into
$array_result = (array)json_decode($curl_result, true);

print_r($array_result);		// For now we will just print out what we have gotten back from Glide
?>